Bug 784768 - duplicity uses way too much memory
Summary: duplicity uses way too much memory
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 07:53 UTC by Pierre Ossman
Modified: 2012-05-02 04:41 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-30 18:31:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 657187 None None None Never
Launchpad 896728 None None None Never
Launchpad 908228 None None None Never

Description Pierre Ossman 2012-01-26 07:53:28 UTC
Using the deja-dup backup interface, this is what I end up with:

 2214 drzeus    30  10 2545m 2.2g 4444 R 95.0 58.1   7:37.16 duplicity          

And it just keeps growing. I tried restricting it with ulimit, hoping it would do something graceful when allocations failed. But I must have done something wrong, even though:

$ grep resident /proc/2214/limits 
Max resident set          1073741824           1073741824           bytes     

Something needs to be done here. The machine starts thrashing and slows to a crawl whenever I try to make a backup.

Comment 1 Jan Kratochvil 2012-01-31 17:36:43 UTC
FAIL: duplicity-0.6.17-1.fc16.x86_64
http://lists.nongnu.org/archive/html/duplicity-talk/2012-01/msg00059.html

Comment 2 Jan Kratochvil 2012-02-29 21:25:56 UTC
This should be fixed in the new upstream release 0.6.18.
I have set up upstream monitoring now.

Comment 3 Jan Kratochvil 2012-03-18 16:29:28 UTC
Please make a new release (or better backport the fix), I still cannot backup my machine as duplicity runs there out of its 8GB of RAM.
Made a package commit request along.

Comment 4 Adam Pribyl 2012-03-22 14:40:15 UTC
Same issue here..

Comment 5 Fedora Update System 2012-04-08 20:53:26 UTC
duplicity-0.6.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/duplicity-0.6.18-1.fc17

Comment 6 Fedora Update System 2012-04-08 20:54:01 UTC
duplicity-0.6.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/duplicity-0.6.18-1.fc16

Comment 7 Fedora Update System 2012-04-08 20:54:33 UTC
duplicity-0.6.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/duplicity-0.6.18-1.fc15

Comment 8 Fedora Update System 2012-04-08 20:55:07 UTC
duplicity-0.6.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/duplicity-0.6.18-1.el6

Comment 9 Fedora Update System 2012-04-08 20:55:48 UTC
duplicity-0.6.18-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.18-1.el5

Comment 10 Fedora Update System 2012-04-10 20:20:03 UTC
Package duplicity-0.6.18-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing duplicity-0.6.18-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5601/duplicity-0.6.18-1.fc17
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-04-30 18:31:44 UTC
duplicity-0.6.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-04-30 18:33:54 UTC
duplicity-0.6.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-05-01 00:52:50 UTC
duplicity-0.6.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-05-01 00:57:04 UTC
duplicity-0.6.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-05-02 04:41:57 UTC
duplicity-0.6.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.